## svgalib-dummy 1.2.10

=== Makefile ===
CC     = gcc
CFLAGS = -O2 -fomit-frame-pointer -fPIC
DESTDIR = /

MAJOR_VER = 1
MINOR_VER = 2.10
VERSION   = $(MAJOR_VER).$(MINOR_VER)

LIBBASE = libvga libvgagl
LIBS = $(addsuffix .so.$(VERSION),$(LIBBASE))

HEADERS = vga.h vgagl.h vgamouse.h vgakeyboard.h

all: $(LIBS)

libvga.so.$(VERSION): vga.o
	$(CC) -s -shared -Wl,-soname,libvga.so.$(MAJOR_VER) \
	  -o libvga.so.$(VERSION) $^

libvgagl.so.$(VERSION): vgagl.o
	$(CC) -s -shared -Wl,-soname,libvgagl.so.$(MAJOR_VER) \
	  -o libvgagl.so.$(VERSION) $^

install: $(LIBS)
	for lib in $(LIBBASE); do \
		install -m755 -o root -g root $$lib.so.$(VERSION) $(DESTDIR)/usr/lib; \
		ln -s $$lib.so.$(VERSION) $(DESTDIR)/usr/lib/$$lib.so.$(MAJOR_VER); \
		ln -s $$lib.so.$(VERSION) $(DESTDIR)/usr/lib/$$lib.so; \
	done
	for f in $(HEADERS); do \
		install -m644 -o root -g root $$f $(DESTDIR)/usr/include; \
	done

clean:
	rm -f *.o lib*.so*

=== debian/changelog ===
svgalib-dummy (1.2.10) unstable; urgency=low

  * Initial Release.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Tue, 4 Feb 1997 15:04:17 +0100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: svgalib-dummy
Section: libs
Priority: extra
Maintainer: Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>
Standards-Version: 2.1.2.2

Package: svgalib-dummy1
Architecture: any
Depends: ${shlibs:Depends}
Provides: svgalib1, svgalib1-dev
Conflicts: svgalib1, svgalib1-dev
Description: Dummy replacement for svgalib1
 This package can replace the usual svgalib1 package, on which many
 other packages depend. Unfortunately, the proper svgalib1 requires
 some configuration and is a bit verbose, so if you don't need console
 graphics at all, and would install it only to satisfy dependencies,
 this dummy package may be an alternative for you.
 .
 This package can also be used on architectures where the real
 svgalib1 hasn't been ported to (e.g. m68k). And it also provides the
 few headers from the -dev package.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
 # my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified
#
# Modified to be a prototype for debmake by Christoph Lameter <clameter@debian.org>

package=svgalib-dummy1

build:
	$(checkdir)
	make
	touch build

clean:
	$(checkdir)
	-rm -f build
	-make clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp;install -d `cat ../dirs`
	make install DESTDIR=`pwd`/debian/tmp
	debstd 
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## svgalib-dummy 1.2.13-2

=== Makefile ===
CC     = gcc
CFLAGS = -O2 -fomit-frame-pointer -fPIC -D_REENTRANT
PREFIX = /
LIBDIR = /usr/lib
HDRDIR = /usr/include
LDESTDIR = $(PREFIX)/$(LIBDIR)
IDESTDIR = $(PREFIX)/$(HDRDIR)
SRCDIR   = .

MAJOR_VER = 1
MINOR_VER = 2.13
VERSION   = $(MAJOR_VER).$(MINOR_VER)

LIBBASE = libvga libvgagl
LIBS = $(addsuffix .so.$(VERSION),$(LIBBASE))

HEADERS = vga.h vgagl.h vgamouse.h vgakeyboard.h

all: $(LIBS)

libvga.so.$(VERSION): vga.o
	$(CC) -s -shared -Wl,-soname,libvga.so.$(MAJOR_VER) \
	  -o libvga.so.$(VERSION) $^ -lc

libvgagl.so.$(VERSION): vgagl.o
	$(CC) -s -shared -Wl,-soname,libvgagl.so.$(MAJOR_VER) \
	  -o libvgagl.so.$(VERSION) $^ -lc

vga.o: $(SRCDIR)/vga.c
	$(CC) $(CFLAGS) -o $@ -c $<

vgagl.o: $(SRCDIR)/vgagl.c
	$(CC) $(CFLAGS) -o $@ -c $<

install: install-libs install-headers

install-libs: $(LIBS)
	for lib in $(LIBBASE); do \
		install -d $(LDESTDIR); \
		install -m644 -o root -g root $$lib.so.$(VERSION) $(LDESTDIR); \
        strip --strip-unneeded $(LDESTDIR)/$$lib.so.$(VERSION); \
		ln -s $$lib.so.$(VERSION) $(LDESTDIR)/$$lib.so.$(MAJOR_VER); \
		ln -s $$lib.so.$(VERSION) $(LDESTDIR)/$$lib.so; \
	done

install-headers:
	for f in $(HEADERS); do \
		install -d $(IDESTDIR); \
		install -m644 -o root -g root $$f $(IDESTDIR); \
	done

clean:
	rm -f *.o lib*.so*

=== debian/changelog ===
svgalib-dummy (1:1.2.13-2) unstable; urgency=low

  * Oops... forgotten to raise minor version in Makefile; libs were
    installed as *.so.1.2.11 :-((

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Thu, 19 Feb 1998 10:37:03 +0100

svgalib-dummy (1:1.2.13-1) unstable; urgency=low

  * Added new symbols: graph_mem, currentcontext (both .bss and forgotten
    previously...); also __svgalib_name2number (non-public, but
    nevertheless used by thrust package)
  * Do not Provide: svgalib1[g] anymore; packages that can work with both,
    real svgalib and the dummy, should have an svgalibg1|svgalib-dummyg1
    in their dependencies, so the Provides is unnecessary.
  * Modify shlibs files so that no svgalibg1|svgalib-dummyg1 dependency is
    added automatically. Packages that aren't useless with the dummy lib
    should modify their debian/substvars manually somehow.
  * Removed ldconfig from postinst and postrm.
  * New section for maintainers in /usr/doc/svgalib-dummyg1/README.Debian
  * Updated to Standards-Version 2.4.0.0 (no changes)

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Tue, 17 Feb 1998 14:14:32 +0100

svgalib-dummy (1:1.2.11-1) unstable; urgency=low

  * Built with libc6
  * New upstream version required a few new symbols.
  * Anyway, I had forgotten all the mouse_* and keyboard_* functions in
    the last version... but nobody noticed :-)
  * Updated to Standards-Version 2.2.0.0
  * Changed shlibs file in cooperation with Joost (he did the real
    svgalib) to hopefully solve the dependency problems.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Wed,  6 Aug 1997 17:44:25 +0200

svgalib-dummy (1:1.2.10-2) unstable; urgency=low

  * Add epoch to version number
  * Add Replaces: svgalib1, otherwise dpkg refuses to accept the dummy
    instead of the real svgalib in case of versioned dependencies
  * Compile with -D_REENTRANT (is this really necessary?)

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Thu, 15 May 1997 18:00:46 +0200

=== debian/control ===
Source: svgalib-dummy
Section: libs
Priority: extra
Maintainer: Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>
Standards-Version: 2.4.0.0

Package: svgalib-dummyg1
Architecture: any
Depends: libc6
Replaces: svgalibg1, svgalibg1-dev
Conflicts: svgalibg1, svgalibg1-dev, svgalib1 (<< 1:1.2.11-1), svgalib1-altdev, svgalib-dummy1 (<= 1:1.2.10-2)
Description: Dummy replacement for svgalib1
 This package can replace the usual svgalib1 package, on which many
 other packages depend. Unfortunately, the proper svgalib1 requires
 some configuration and is a bit verbose, so if you don't need console
 graphics at all, and would install it only to satisfy dependencies,
 this dummy package may be an alternative for you.
 .
 This package can also be used on architectures where the real
 svgalib1 hasn't been ported to (e.g. m68k).
 .
 It also provides the few headers from the -dev package and should be
 usable as a development environment.

Package: svgalib-dummy1
Architecture: any
Depends: libc5
Replaces: svgalib1
Conflicts: svgalib1, svgalib1-dev
Description: Dummy replacement for svgalib1 [libc5 compat]
 This package can replace the usual svgalib1 package, on which many
 other packages depend. Unfortunately, the proper svgalib1 requires
 some configuration and is a bit verbose, so if you don't need console
 graphics at all, and would install it only to satisfy dependencies,
 this dummy package may be an alternative for you.
 .
 This package can also be used on architectures where the real
 svgalib1 hasn't been ported to (e.g. m68k).

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,5 @@
 #!/usr/bin/make -f
+#   -*- mode: makefile; -*-
 # Sample debian.rules file - for GNU Hello (1.3).
 # Copyright 1994,1995 by Ian Jackson.
 # I hereby give you perpetual unlimited permission to copy,
@@ -9,11 +10,20 @@
 #
 # Modified to be a prototype for debmake by Christoph Lameter <clameter@debian.org>
 
-package=svgalib-dummy1
+ARCH = $(shell dpkg --print-gnu-build-architecture)
+
+packg = svgalib-dummyg1
+packc = svgalib-dummy1
+tmpg = debian/tmp-libg
+tmpc = debian/tmp-libcompat
+docg = $(tmpg)/usr/doc/$(packg)
+docc = $(tmpc)/usr/doc/$(packc)
 
 build:
 	$(checkdir)
 	make
+	test -d libc5-compat || mkdir libc5-compat
+	cd libc5-compat; $(MAKE) CC=$(ARCH)-linuxlibc1-gcc -f ../Makefile SRCDIR=..
 	touch build
 
 clean:
@@ -21,7 +31,7 @@
 	-rm -f build
 	-make clean
 	-rm -f `find . -name "*~"`
-	-rm -rf debian/tmp debian/files* core debian/substvars
+	-rm -rf debian/tmp* debian/files* core debian/substvars libc5-compat
 
 binary-indep:	checkroot build
 	$(checkdir)
@@ -29,17 +39,42 @@
 # generated by this package.  If there were any they would be
 # made here.
 
-binary-arch:	checkroot build
+binary-arch: binary-svgalib-dummyg1 binary-svgalib-dummy1
+
+binary-svgalib-dummyg1:	checkroot build
 	$(checkdir)
-	-rm -rf debian/tmp
-	install -d debian/tmp
-	cd debian/tmp;install -d `cat ../dirs`
-	make install DESTDIR=`pwd`/debian/tmp
-	debstd 
-	dpkg-gencontrol
-	chown -R root.root debian/tmp
-	chmod -R go=rX debian/tmp
-	dpkg --build debian/tmp ..
+	-rm -rf $(tmpg)
+	install -d $(tmpg)/DEBIAN
+	make install PREFIX=`pwd`/$(tmpg)
+	install -m 755 debian/control $(tmpg)/DEBIAN
+	install -m 644 debian/shlibs.glibc $(tmpg)/DEBIAN/shlibs
+	install -d $(docg)
+	install -m 644 debian/changelog $(docg)/changelog.Debian
+	install -m 644 debian/README.debian $(docg)
+	gzip -9f $(docg)/*
+	install -m 644 debian/copyright $(docg)
+	dpkg-gencontrol -p$(packg) -P$(tmpg)/
+	chown -R root.root $(tmpg)
+	chmod -R go=rX $(tmpg)
+	dpkg --build $(tmpg) ..
+
+binary-svgalib-dummy1:	checkroot build
+	$(checkdir)
+	-rm -rf $(tmpc)
+	install -d $(tmpc)/DEBIAN
+	cd libc5-compat; make -f ../Makefile install-libs PREFIX=`pwd`/../$(tmpc) LIBDIR=/usr/lib/libc5-compat SRCDIR=..
+	rm -f $(tmpc)/usr/lib/libc5-compat/*.so
+	install -m 755 debian/control $(tmpc)/DEBIAN
+	install -m 644 debian/shlibs.compat $(tmpc)/DEBIAN/shlibs
+	install -d $(docc)
+	install -m 644 debian/changelog $(docc)/changelog.Debian
+	install -m 644 debian/README.debian $(docc)
+	gzip -9f $(docc)/*
+	install -m 644 debian/copyright $(docc)
+	dpkg-gencontrol -p$(packc) -P$(tmpc)/
+	chown -R root.root $(tmpc)
+	chmod -R go=rX $(tmpc)
+	dpkg --build $(tmpc) ..
 
 define checkdir
 	test -f debian/rules

## svgalib-dummy 1.4.0-2

=== debian/changelog ===
svgalib-dummy (1:1.4.0-2) frozen unstable; urgency=low

  * Don't build libc5 compat package for sparc anymore; fixes important
    bug (closes: #61193)

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Wed, 29 Mar 2000 15:56:13 +0200

svgalib-dummy (1:1.4.0-1) unstable; urgency=low

  * FHS transition (Standards-Version 3.0.1)
  * Added new symbols from 1.4.0 version: vga_addmode, vga_addtiming,
    vga_changetiming, vga_getcurrenttiming, vga_guesstiming, vga_getoptmode.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Wed, 17 Nov 1999 17:08:49 +0100

svgalib-dummy (1:1.3.1-2.3) unstable; urgency=low

  * no NMU again -- see below.
  * Updated copyright file for new location /usr/share/common-licenses/GPL.
  * Updated Standards-Version to 3.0.0.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Fri, 9 Jul 1999 14:43:50 +0200

svgalib-dummy (1:1.3.1-2.2) unstable; urgency=low

  * no NMU again -- see below.
  * libc5 compat package svgalib-dummy1 must also be Arch: i386 m68k sparc
    in debian/control.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Fri, 11 Jun 1999 09:16:25 +0200

svgalib-dummy (1:1.3.1-2.1) unstable; urgency=low

  * *NO* non-maintainer release; I used "2.1" to say this is still
    compatible with the real svgalib 1.3.1-2, but a new revision of the
    dummy lib.
  * Build libc5 compat libraries only on archs that had libc5 (i386, m68k,
    sparc). Fixes: #37418.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Tue, 11 May 1999 16:58:30 +0200

svgalib-dummy (1:1.3.1-2) unstable; urgency=low

  * Added new symbols from 1.3.1 version: joystick_* and gl_printf.
  * Include new header vgajoystick.h.
  * Added ldconfig in postinst again (lintian).
  * Updated to Standards-Version 2.5.0.0 (changes: ldconfig above)
  * Correctly use dpkg-shlibdeps and do not hardwire libc dependencies.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Tue, 27 Apr 1999 13:19:51 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: libs
 Priority: extra
 Maintainer: Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>
-Standards-Version: 2.4.0.0
+Standards-Version: 3.0.0
 
 Package: svgalib-dummyg1
 Architecture: any
-Depends: libc6
+Depends: ${shlibs:Depends}
 Replaces: svgalibg1, svgalibg1-dev
 Conflicts: svgalibg1, svgalibg1-dev, svgalib1 (<< 1:1.2.11-1), svgalib1-altdev, svgalib-dummy1 (<= 1:1.2.10-2)
 Description: Dummy replacement for svgalib1
@@ -23,8 +23,8 @@
  usable as a development environment.
 
 Package: svgalib-dummy1
-Architecture: any
-Depends: libc5
+Architecture: i386 m68k
+Depends: ${shlibs:Depends}
 Replaces: svgalib1
 Conflicts: svgalib1, svgalib1-dev
 Description: Dummy replacement for svgalib1 [libc5 compat]

=== debian/rules ===
--- 
+++ 
@@ -12,18 +12,26 @@
 
 ARCH = $(shell dpkg --print-gnu-build-architecture)
 
+BINARY-ARCH-TARGETS = binary-svgalib-dummyg1
+ifeq ($(filter $(ARCH),i486 m68k),$(ARCH))
+BUILDLIBC5=1
+BINARY-ARCH-TARGETS += binary-svgalib-dummy1
+endif
+
 packg = svgalib-dummyg1
 packc = svgalib-dummy1
 tmpg = debian/tmp-libg
 tmpc = debian/tmp-libcompat
-docg = $(tmpg)/usr/doc/$(packg)
-docc = $(tmpc)/usr/doc/$(packc)
+docg = $(tmpg)/usr/share/doc/$(packg)
+docc = $(tmpc)/usr/share/doc/$(packc)
 
 build:
 	$(checkdir)
 	make
+ifdef BUILDLIBC5
 	test -d libc5-compat || mkdir libc5-compat
 	cd libc5-compat; $(MAKE) CC=$(ARCH)-linuxlibc1-gcc -f ../Makefile SRCDIR=..
+endif
 	touch build
 
 clean:
@@ -39,20 +47,23 @@
 # generated by this package.  If there were any they would be
 # made here.
 
-binary-arch: binary-svgalib-dummyg1 binary-svgalib-dummy1
+binary-arch: $(BINARY-ARCH-TARGETS)
 
 binary-svgalib-dummyg1:	checkroot build
 	$(checkdir)
 	-rm -rf $(tmpg)
 	install -d $(tmpg)/DEBIAN
 	make install PREFIX=`pwd`/$(tmpg)
-	install -m 755 debian/control $(tmpg)/DEBIAN
+	install -m 644 debian/control $(tmpg)/DEBIAN
 	install -m 644 debian/shlibs.glibc $(tmpg)/DEBIAN/shlibs
+	install -m 755 debian/postinst.glibc $(tmpg)/DEBIAN/postinst
+	install -m 755 debian/prerm.glibc $(tmpg)/DEBIAN/prerm
 	install -d $(docg)
 	install -m 644 debian/changelog $(docg)/changelog.Debian
 	install -m 644 debian/README.debian $(docg)
 	gzip -9f $(docg)/*
 	install -m 644 debian/copyright $(docg)
+	dpkg-shlibdeps $(tmpg)/usr/lib/lib*.so.*
 	dpkg-gencontrol -p$(packg) -P$(tmpg)/
 	chown -R root.root $(tmpg)
 	chmod -R go=rX $(tmpg)
@@ -64,13 +75,16 @@
 	install -d $(tmpc)/DEBIAN
 	cd libc5-compat; make -f ../Makefile install-libs PREFIX=`pwd`/../$(tmpc) LIBDIR=/usr/lib/libc5-compat SRCDIR=..
 	rm -f $(tmpc)/usr/lib/libc5-compat/*.so
-	install -m 755 debian/control $(tmpc)/DEBIAN
+	install -m 644 debian/control $(tmpc)/DEBIAN
 	install -m 644 debian/shlibs.compat $(tmpc)/DEBIAN/shlibs
+	install -m 755 debian/postinst.compat $(tmpc)/DEBIAN/postinst
+	install -m 755 debian/prerm.compat $(tmpc)/DEBIAN/prerm
 	install -d $(docc)
 	install -m 644 debian/changelog $(docc)/changelog.Debian
 	install -m 644 debian/README.debian $(docc)
 	gzip -9f $(docc)/*
 	install -m 644 debian/copyright $(docc)
+	dpkg-shlibdeps $(tmpc)/usr/lib/libc5-compat/lib*.so.*
 	dpkg-gencontrol -p$(packc) -P$(tmpc)/
 	chown -R root.root $(tmpc)
 	chmod -R go=rX $(tmpc)

## svgalib-dummy 1.4.0-2.2

=== Makefile ===
--- 
+++ 
@@ -8,13 +8,13 @@
 SRCDIR   = .
 
 MAJOR_VER = 1
-MINOR_VER = 2.13
+MINOR_VER = 3.1
 VERSION   = $(MAJOR_VER).$(MINOR_VER)
 
 LIBBASE = libvga libvgagl
 LIBS = $(addsuffix .so.$(VERSION),$(LIBBASE))
 
-HEADERS = vga.h vgagl.h vgamouse.h vgakeyboard.h
+HEADERS = vga.h vgagl.h vgamouse.h vgakeyboard.h vgajoystick.h
 
 all: $(LIBS)

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: libs
 Priority: extra
 Maintainer: Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>
-Standards-Version: 3.0.0
+Standards-Version: 3.1.1
+Build-Depends: altgcc [i386], libc5-altdev [i386]
 
 Package: svgalib-dummyg1
 Architecture: any
@@ -23,7 +24,7 @@
  usable as a development environment.
 
 Package: svgalib-dummy1
-Architecture: i386 m68k
+Architecture: i386
 Depends: ${shlibs:Depends}
 Replaces: svgalib1
 Conflicts: svgalib1, svgalib1-dev

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 ARCH = $(shell dpkg --print-gnu-build-architecture)
 
 BINARY-ARCH-TARGETS = binary-svgalib-dummyg1
-ifeq ($(filter $(ARCH),i486 m68k),$(ARCH))
+ifeq ($(ARCH),i486)
 BUILDLIBC5=1
 BINARY-ARCH-TARGETS += binary-svgalib-dummy1
 endif
